petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESSetLagPreconditioner

Determines when the preconditioner is rebuilt in the nonlinear solve.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetLagPreconditioner(SNES snes,PetscInt lag)

Logically Collective on SNES

### Input Parameters

| snes | - the SNES context
| lag | - -1 indicates NEVER rebuild, 1 means rebuild every time the Jacobian is computed within a single nonlinear solve, 2 means every second time the Jacobian is built etc. -2 indicates rebuild preconditioner at next chance but then never rebuild after that

### Options Database Keys

-snes_lag_preconditioner <lag> - Notes: The default is 1 The preconditioner is ALWAYS built in the first iteration of a nonlinear solve unless lag is -1 If -1 is used before the very first nonlinear solve the preconditioner is still built because there is no previous preconditioner to use

### Keywords

SNES, nonlinear, set, convergence, tolerances

### See Also

SNESSetTrustRegionTolerance(), SNESGetLagPreconditioner(), SNESSetLagJacobian(), SNESGetLagJacobian()

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages